Subject: Re: What's cooking in git.git (Jan 2021, #02; Fri, 8)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 17 Jan 2021 21:22:39 +0100

On Sun, Jan 17 2021, Jeff King wrote:

> On Sat, Jan 16, 2021 at 05:23:38PM +0100, Ævar Arnfjörð Bjarmason wrote:
>
>> > [...] especially when that pushback is "I'd like to write a tool to
>> > reverse this thing, because <vague reasons> - and I don't mean that
>> > tool maliciously so that should be OK."
>> 
>> ... this point in particular seems to be an attempt to summarize my
>> views or motivations.
>> 
>> I don't see how you could read my E-Mails on the subject (especially
>> what you're replying to,
>> https://lore.kernel.org/git/[email-masked]/) and
>> think that in any way reflects my views on the matter.
>> 
>> In lieu of repeating much/any of that I'll just say that that doesn't in
>> any way reflect my views, and from having read all the rest of the
>> message traffic associated with this topic I don't see who else you
>> could be referring to with those comments.
>
> This is sort orthogonal to what you're saying here, and possibly I
> missed this part of the discussion, but...I'm confused about this
> talk of a tool for unblinding the mailmap. Isn't:
>
>   git log --all --format='%aE %ae'
>
> basically that tool already?

Yes, but I belive from brian's mails on the topic[1][2][3] that the
issue at hand is that doing that is just the right level of
inconvienience in the minds of the users who want this feature, and that
e.g. having some/any of:

    git check-mailmap --porcelain --materialize-hashed
    git for-each-mailmap --format="%(authornamefrom:unhashed) %(authoremailfrom:unhashed) %(authornameto)"
    git ask-remote https://github.com/chromium/chromium -- <that for-each-mailmap-command> # (or whatever..)
    <open .mailmap in your $EDITOR and see/edit/save only materialized values>

Would tip it over the edge into the territory of this
socially-signalled-to-be-private information being too convenient to
extract from the DAG.

1. https://lore.kernel.org/git/[email-masked]/
2. https://lore.kernel.org/git/[email-masked]/
3. https://lore.kernel.org/git/[email-masked]/